<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlVmonErrStatus_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlVmonErrStatus_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This sub block indicates fault in analog supplies or LDO short circuit condition. Once a fault is detected the functionality cannot be resumed from then on and the sensor needs to be re-started. This Async Event is generated with SB-ID RL_DEV_AE_MSS_VMON_ERROR_STATUS_SB.  
 <a href="structrl_vmon_err_status__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a4ce67ee788b9b6e8c5f3b4acfd08e157"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4ce67ee788b9b6e8c5f3b4acfd08e157"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_vmon_err_status__t.html#a4ce67ee788b9b6e8c5f3b4acfd08e157">faultType</a></td></tr>
<tr class="memdesc:a4ce67ee788b9b6e8c5f3b4acfd08e157"><td class="mdescLeft">&#160;</td><td class="mdescRight">Value Definition <br />
 0 NO FAULT <br />
 1 ANALOG_SUPPLY_FAULT <br />
 Others RESERVED <br />
. <br /></td></tr>
<tr class="separator:a4ce67ee788b9b6e8c5f3b4acfd08e157"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa015d1dc848178a6dacf5502d19f25e1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa015d1dc848178a6dacf5502d19f25e1"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_vmon_err_status__t.html#aa015d1dc848178a6dacf5502d19f25e1">reserved0</a></td></tr>
<tr class="memdesc:aa015d1dc848178a6dacf5502d19f25e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:aa015d1dc848178a6dacf5502d19f25e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a405eb2943bc2524a57cf5064415a4c88"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a405eb2943bc2524a57cf5064415a4c88"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_vmon_err_status__t.html#a405eb2943bc2524a57cf5064415a4c88">reserved1</a></td></tr>
<tr class="memdesc:a405eb2943bc2524a57cf5064415a4c88"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a405eb2943bc2524a57cf5064415a4c88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2108105e323bd0a7ed0780393d175ec9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2108105e323bd0a7ed0780393d175ec9"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_vmon_err_status__t.html#a2108105e323bd0a7ed0780393d175ec9">faultSig</a></td></tr>
<tr class="memdesc:a2108105e323bd0a7ed0780393d175ec9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fault signature <br />
 Bit Definition <br />
 0 VDDIN under voltage indication <br />
 1 VDDIN over voltage indication <br />
 2 VIN_18CLK supply fault <br />
 3 VIOIN supply fault (Unable to resolve between 1.8V and 3.3V) <br />
 4 VIN_SRAM under voltage indication <br />
 5 VIOIN_18 supply fault <br />
 6 APLL_VCO_LDO short circuit <br />
 31:7 RESERVED. <br /></td></tr>
<tr class="separator:a2108105e323bd0a7ed0780393d175ec9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4c5dc4f790fe178cf0ff072ee2a437a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af4c5dc4f790fe178cf0ff072ee2a437a"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_vmon_err_status__t.html#af4c5dc4f790fe178cf0ff072ee2a437a">reserved2</a></td></tr>
<tr class="memdesc:af4c5dc4f790fe178cf0ff072ee2a437a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:af4c5dc4f790fe178cf0ff072ee2a437a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This sub block indicates fault in analog supplies or LDO short circuit condition. Once a fault is detected the functionality cannot be resumed from then on and the sensor needs to be re-started. This Async Event is generated with SB-ID RL_DEV_AE_MSS_VMON_ERROR_STATUS_SB. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
